# $Revision: 1.10 $, $Date: 2009/09/14 18:51:32 $
%define	_lang	cs
%define	_reg	CZ
%define	_lare	%{_lang}-%{_reg}
Summary:	Czech resources for Iceape
Summary(pl.UTF-8):	Czeskie pliki językowe dla Iceape
Name:		iceape-lang-%{_lang}
Version:	1.1.18
Release:	1
License:	MPL 1.1 or GPL v2+ or LGPL v2.1+
Group:		I18n
Source0:	http://releases.mozilla.org/pub/mozilla.org/seamonkey/releases/%{version}/contrib-localized/seamonkey-%{version}.%{_lare}.langpack.xpi
# Source0-md5:	9baa09ffb46b991fc4954c24b1115810
Source1:	http://www.mozilla-enigmail.org/download/release/0.95/enigmail-%{_lare}-0.95.xpi
# Source1-md5:	f98746180b2bdb9c2bd58dfbc270a1d3
Source2:	gen-installed-chrome.sh
URL:		http://www.seamonkey-project.org/
BuildRequires:	unzip
BuildRequires:	util-linux
Requires(post,postun):	iceape >= %{version}
Requires(post,postun):	textutils
Requires:	iceape >= %{version}
Obsoletes:	seamonkey-lang-cs
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define	_chromedir	%{_datadir}/iceape/chrome

%description
Czech resources for Iceape.

%description -l pl.UTF-8
Czeskie pliki językowe dla Iceape.

%prep
%setup -q -c
%{__unzip} -o -qq %{SOURCE1}
install %{SOURCE2} .
./gen-installed-chrome.sh locale chrome/{%{_reg},%{_lare},%{_lang}-unix}.jar \
	> lang-%{_lang}-installed-chrome.txt
./gen-installed-chrome.sh locale chrome/enigmail-%{_lare}.jar \
	>> lang-%{_lang}-installed-chrome.txt

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_chromedir}

install chrome/{%{_reg},%{_lare},%{_lang}-unix}.jar $RPM_BUILD_ROOT%{_chromedir}
install chrome/enigmail-%{_lare}.jar $RPM_BUILD_ROOT%{_chromedir}
install lang-%{_lang}-installed-chrome.txt $RPM_BUILD_ROOT%{_chromedir}

# rebrand locale for iceape
cd $RPM_BUILD_ROOT%{_chromedir}
unzip %{_lare}.jar locale/%{_lare}/branding/brand.dtd locale/%{_lare}/branding/brand.properties \
	locale/%{_lare}/global/netError.dtd locale/%{_lare}/global/appstrings.properties
sed -i -e 's/SeaMonkey/Iceape/g;' locale/%{_lare}/branding/brand.dtd \
	locale/%{_lare}/branding/brand.properties locale/%{_lare}/global/netError.dtd \
	locale/%{_lare}/global/appstrings.properties
zip -0 %{_lare}.jar locale/%{_lare}/branding/brand.dtd locale/%{_lare}/branding/brand.properties \
	locale/%{_lare}/global/netError.dtd locale/%{_lare}/global/appstrings.properties
rm -f locale/%{_lare}/branding/brand.dtd locale/%{_lare}/branding/brand.properties \
	locale/%{_lare}/global/netError.dtd locale/%{_lare}/global/appstrings.properties

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{_sbindir}/iceape-chrome+xpcom-generate

%postun
%{_sbindir}/iceape-chrome+xpcom-generate

%files
%defattr(644,root,root,755)
%{_chromedir}/%{_reg}.jar
%{_chromedir}/%{_lare}.jar
%{_chromedir}/%{_lang}-unix.jar
%{_chromedir}/enigmail-%{_lare}.jar
%{_chromedir}/lang-%{_lang}-installed-chrome.txt

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: iceape-lang-cs.spec,v $
Revision 1.10  2009/09/14 18:51:32  hawk
- updated to 1.1.18

Revision 1.9  2009/06/28 12:04:16  hawk
- updated to 1.1.17

Revision 1.8  2009/04/25 12:51:56  hawk
- updated to 1.1.16

Revision 1.7  2009/03/24 23:13:51  duddits
- up to 1.1.15

Revision 1.6  2008/12/17 18:19:05  hawk
- updated to 1.1.14

Revision 1.5  2008/11/13 12:42:07  hawk
- updated to 1.1.13

Revision 1.4  2008/09/29 17:30:02  hawk
- updated to 1.1.12

Revision 1.3  2008/07/20 21:53:30  hawk
- updated to 1.1.11

Revision 1.2  2008/06/26 19:34:21  hawk
- O: for seamonkey-lang

Revision 1.1  2008/06/26 13:15:24  hawk
- language pack for Iceape

